Bug 209881 - lang/php55, lang/php56, lang/php70: Switch from using bzip2 compressed distfiles to xz
Summary: lang/php55, lang/php56, lang/php70: Switch from using bzip2 compressed distfi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-05-31 09:06 UTC by Piotr Kubaj
Modified: 2016-08-30 08:16 UTC (History)
4 users (show)

See Also:
vlad-fbsd: maintainer-feedback? (ale)
tz: maintainer-feedback+


Attachments
use tar.xz instead of tar.bz2 (2.56 KB, patch)
2016-05-31 09:06 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-05-31 09:06:39 UTC
Created attachment 170853 [details]
use tar.xz instead of tar.bz2

PHP tarballs use bz2 format which is old and inefficient. GZ offers better compression and speed and XZ offers even better compression. This patch switches PHP ports to use XZ tarballs. If they are deemed unsuitable, at least gz should be used.
Comment 1 VK freebsd_triage 2016-05-31 10:27:46 UTC
Adjusting summary so people searching for full port name can get this in the resultset.
Comment 2 Mark Felder freebsd_committer 2016-07-26 15:03:56 UTC
I like this. I don't believe there's any good reason to not do this.

CCing new maintainer of php70
Comment 3 Torsten Zuehlsdorff freebsd_committer 2016-07-26 15:09:54 UTC
I like it too. I will merge the patch into lang/php70 next time.
Comment 4 commit-hook freebsd_committer 2016-08-08 08:14:24 UTC
A commit references this bug:

Author: tz
Date: Mon Aug  8 08:13:57 UTC 2016
New revision: 419801
URL: https://svnweb.freebsd.org/changeset/ports/419801

Log:
  lang/php70: switch distfiles from bzip2 to xz

  While here also:
  - regenerate patches with make makepatch
  - replace "sed" with proper ${SED}
  - no longer mute ${INSTALL_DATA}

  PR:          209881
  Reported by: Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by: pi (mentor)

Changes:
  head/lang/php70/Makefile
  head/lang/php70/distinfo
  head/lang/php70/files/patch-acinclude.m4
  head/lang/php70/files/patch-configure.in
  head/lang/php70/files/patch-main__php_config.h.in
  head/lang/php70/files/patch-sapi_apache2handler_config.m4
  head/lang/php70/files/patch-sapi_fpm_config.m4
Comment 5 Torsten Zuehlsdorff freebsd_committer 2016-08-08 08:17:04 UTC
Applied the change to lang/php70. There is no feedback from ale@, but after 2 months this could be considered as timeout. Will try to patch lang/php55 and lang/php56 this week.
Comment 6 commit-hook freebsd_committer 2016-08-08 12:26:47 UTC
A commit references this bug:

Author: tz
Date: Mon Aug  8 12:25:59 UTC 2016
New revision: 419833
URL: https://svnweb.freebsd.org/changeset/ports/419833

Log:
  lang/php55: switch distfiles from bzip2 to xz

  PR:          209881
  Reported by: Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by: pi (mentor)

Changes:
  head/lang/php55/Makefile
  head/lang/php55/distinfo
Comment 7 commit-hook freebsd_committer 2016-08-08 12:26:49 UTC
A commit references this bug:

Author: tz
Date: Mon Aug  8 12:26:32 UTC 2016
New revision: 419834
URL: https://svnweb.freebsd.org/changeset/ports/419834

Log:
  lang/php56: switch distfiles from bzip2 to xz

  PR:          209881
  Reported by: Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by: pi (mentor)

Changes:
  head/lang/php56/Makefile
  head/lang/php56/distinfo
Comment 8 Torsten Zuehlsdorff freebsd_committer 2016-08-08 12:27:30 UTC
Committed, thanks!
Comment 9 commit-hook freebsd_committer 2016-08-29 14:35:17 UTC
A commit references this bug:

Author: feld
Date: Mon Aug 29 14:34:18 UTC 2016
New revision: 421062
URL: https://svnweb.freebsd.org/changeset/ports/421062

Log:
  MFH: r419801

  lang/php70: switch distfiles from bzip2 to xz

  While here also:
  - regenerate patches with make makepatch
  - replace "sed" with proper ${SED}
  - no longer mute ${INSTALL_DATA}

  PR:          209881
  Reported by: Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by: pi (mentor)

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/lang/php70/Makefile
  branches/2016Q3/lang/php70/files/patch-acinclude.m4
  branches/2016Q3/lang/php70/files/patch-configure.in
  branches/2016Q3/lang/php70/files/patch-main__php_config.h.in
  branches/2016Q3/lang/php70/files/patch-sapi_apache2handler_config.m4
  branches/2016Q3/lang/php70/files/patch-sapi_fpm_config.m4
Comment 10 Torsten Zuehlsdorff freebsd_committer 2016-08-30 08:16:52 UTC
Thanks feld for committing the MFH of this patch! I was waiting for approval by my mentors.